Bug 43387 - Minor improvement suggestions for log4j webpages
Minor improvement suggestions for log4j webpages
Status: RESOLVED FIXED
Product: Log4j
Classification: Unclassified
Component: Other
1.2
All All
: P5 trivial
: ---
Assigned To: log4j-dev
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-09-13 08:35 UTC by Paul Wilfong
Modified: 2007-09-14 14:52 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Wilfong 2007-09-13 08:35:28 UTC
Here are a couple of suggested improvements for the log4j webpages, as of
13-Sep-07...

http://logging.apache.org/log4j/
IS:
---
Apache log4j 1.3 alpha releases are in limited use. Apache log4j 1.3 added many
interesting features, but was compatibility with log4j 1.2 was problematic. Many
features original developed for log4j 1.3 have been back-ported as companions
for log4j 1.2. No further development is anticipated.
SHOULD BE:
----------
Apache log4j 1.3 alpha releases are in limited use. Apache log4j 1.3 added many
interesting features, but compatibility with log4j 1.2 was problematic. Many
features originally developed for log4j 1.3 have been back-ported as companions
for log4j 1.2. No further 1.3 development is anticipated.

http://logging.apache.org/log4j/1.2/index.html
IS:
---
One of the distinctive features of log4j is the notion of inheritance in
loggers. Using a logger hierarchy it is possible to control which log statements
are output at arbitrarily fine granularity but also great ease. This helps
reduce the volume of logged output and minimize the cost of logging.
SHOULD BE:
----------
One of the distinctive features of log4j is the notion of inheritance in
loggers. Using a logger hierarchy it is possible to control which log statements
are output at arbitrarily fine granularity but also great ease. This helps
reduce the volume of logged output and minimizes the cost of logging.
Comment 1 Paul Wilfong 2007-09-14 08:50:58 UTC
Here is another suggestion:

On webpage http://logging.apache.org/log4j/index.html
IS:
---
Apache log4j has three development branches: a stable branch, 1.2, a
discontinued branch, 1.3 and an experimental branch 2.0.
SHOULD BE:
----------
Apache log4j has three development branches: a stable branch, 1.2; a
discontinued branch, 1.3; and an experimental branch 2.0.
Comment 2 Curt Arnold 2007-09-14 14:52:15 UTC
Committed changes to logging/log4j/trunk in rev 575800 and logging/site/author in 575801.  Haven't 
pushed out changes to stage site or web site.

Index: src/site/apt/index.apt
===============================================================
====
--- src/site/apt/index.apt	(revision 575799)
+++ src/site/apt/index.apt	(revision 575801)
@@ -51,8 +51,8 @@
 	inheritance in loggers. Using a logger
 	hierarchy it is possible to control which log
 	statements are output at arbitrarily fine granularity but also
-	great ease. This helps reduce the volume of logged output and
-	minimize the cost of logging.
+	great ease. This helps to reduce the volume of logged output and
+	the cost of logging.
 
     The target of the log output can be a file, an
 	OutputStream, a java.io.Writer, a
Index: src/changes/changes.xml
===============================================================
====
--- src/changes/changes.xml	(revision 575799)
+++ src/changes/changes.xml	(revision 575801)
@@ -22,7 +22,8 @@
   <body>
 
     <release version="1.2.16" date="TBD" description="">
-       <action action="fix" issue="43312">Mangled source-repository.html</action>
+       <action action="fix" issue="43312">Fix mangled source-repository.html.</action>
+       <action action="fix" issue="43387">Minor documentation changes.</action>
     </release>
   
     <release version="1.2.15" date="2007-08-24" description="SyslogAppender enhancements, 
NTEventLogAppender and Maven build.">


Index: src/site/apt/log4j/index.apt
===============================================================
====
--- src/site/apt/log4j/index.apt	(revision 575799)
+++ src/site/apt/log4j/index.apt	(revision 575801)
@@ -20,8 +20,8 @@
 
 Apache log4j
 
-  Apache log4j has three development branches: a stable branch, {{{1.2/index.html}1.2}}, 
-  a discontinued branch, {{{1.3/index.html}1.3}} and an experimental branch {{{2.0/index.html}2.0}}.
+  Apache log4j has three development branches: a stable branch, {{{1.2/index.html}1.2}}; 
+  a discontinued branch, {{{1.3/index.html}1.3}}; and an experimental branch, {{{2.0/index.html}2.0}}.
 
   Apache log4j 1.2 releases are widely deployed.  Development on the
   1.2 branch is generally limited to bug fixing and minor enhancements.
@@ -31,7 +31,7 @@
   features, but was compatibility with log4j 1.2
   was problematic.  Many features original developed
   for log4j 1.3 have been back-ported as {{{companions/index.html}companions}} 
-  for log4j 1.2.  No further development is anticipated.
+  for log4j 1.2.  No further development is anticipated for log4j 1.3.
 
   Apache log4j 2.0 is an experimental development branch for
   logging services designed for Java 5 and later.